<?php
/**
 * Created by PhpStorm.
 * User: MyPC
 * Date: 9/20/2018
 * Time: 4:25 PM
 */

namespace App\Controller;

use Cake\Controller\Controller;
use App\Controller\AppController;
use Cake\Event\Event;
use Cake\ORM\TableRegistry;
use App\Model\Entity\User;
use App\Model\Table\UsersTable;

/**
 * UserController
 *
 * @property UsersTable $Users
 */
class UserController extends AppController
{
//    var $name = "Books";
    public function initialize()
    {
        parent::initialize(); // TODO: Change the autogenerated stub

        $this->loadModel('Users');
    }

    public function index()
    {
//        $user = TableRegistry::get('Users')->find("all");
//        $user = $this->User->find("all");
//        $this->set("data",$data);
        $user = $this->Users->find("all")->toArray();
//        $user->name;
//        debug($user);
//        exit;
        $test = [
            'color' => 'pink',
            'type' => 'sugar',
            'base_price' => 23.95
        ];
        $this->layout= '';
        $this->set(compact("user"));
        $this->render('hello');
    }
}